<?php
// Sécurité
define('OK',1);
// Configuration
include('config.php');
// Fonctions
include('fonctions.php');

///////////////////////////////////
// Validation de la requête : id //
///////////////////////////////////

// Récupération du lien
if ( !isset($_REQUEST['id']) || !ctype_digit($id = $_REQUEST['id']) )
  exit('Mauvais paramètre d\'accès à cette page.');
$mysqli = connectsql();
// Les documents "non visibles" (protection 32), sauf pour les professeurs
// associés à la matière, ne sont pas accessibles.
$resultat = $mysqli->query("SELECT d.id, d.parents, d.nom, d.lien, d.ext, d.protection, d.matiere AS mid, m.nom AS mat, m.cle
                            FROM docs AS d LEFT JOIN matieres AS m ON d.matiere = m.id
                            WHERE d.id = $id ".(( $autorisation == 5 ) ? "AND ( d.protection != 32 AND dispo < NOW() OR FIND_IN_SET(d.matiere,'${_SESSION['matieres']}') )" : 'AND d.protection != 32 AND dispo < NOW()'));
if ( $resultat->num_rows )  {
  $f = $resultat->fetch_assoc();
  $resultat->free();
}
else  {
  debut($mysqli,'Documents à télécharger','Mauvais paramètre d\'accès à cette page.',$autorisation,' ');
  $mysqli->close();
  fin();
}

/////////////////////////////
// Vérification de l'accès //
/////////////////////////////
acces($f['protection'],$f['mid'],$f['mat'] ? "Documents à télécharger - ${f['mat']}" : 'Documents à télécharger',$f['mat'] ? "docs?${f['cle']}" : 'docs',$mysqli);

$type = transforme_extension($f['ext'],1);
// Download forcé
if ( isset($_REQUEST['dl']) )
  $attachment = 'attachment';
// Visualisation forcée
elseif ( isset($_REQUEST['inline']) )
  $attachment = 'inline';
// Cas particulier des vidéos
elseif ( substr($type,0,5) == 'video' )  {
  debut($mysqli,($f['mat']) ? "Documents à télécharger - ${f['mat']}" : 'Documents à télécharger',$message,$autorisation,($f['mat']) ? "docs?${f['cle']}" : 'docs');
  $resultat = $mysqli->query("SELECT nom, taille, DATE_FORMAT(upload,'%w%Y%m%e') AS upload FROM docs WHERE id = $id");
  $r = $resultat->fetch_assoc();
  $resultat->free();
  $mysqli->close();
  $date = ucfirst(format_date($r['upload']));
  echo <<<FIN
  <article class="centre">
    <video src="download?id=$id&amp;inline" type="$type" controls>Votre navigateur n'affiche pas les vidéos en HTML5. Vous devriez le mettre à jour ou essayer un navigateur plus moderne.</video>
  </article>
  
  <article>
    <h4>Détails de la vidéo</h4>
    <p><strong>Titre</strong>&nbsp;: ${r['nom']}</p>
    <p><strong>Taille</strong>&nbsp;: ${r['taille']}</p>
    <p><strong>Publication</strong>&nbsp;: $date</p>
    <p class="centre"><a class="icon-download" href="download?id=$id&amp;dl" title="Télécharger ce document"></a></p>
  </article>

FIN;
  fin();  
}
// Par défaut
else
  $attachment = ( in_array($f['ext'],array('pdf','jpg','jpeg','png','swf')) ? 'inline' : 'attachment' );

// Mise à disposition du fichier
header("Content-Type: $type");
$nom = $f['nom'] . ( $f['ext'] ? ".${f['ext']}" : '');
header("Content-Disposition: $attachment; filename=\"$nom\"");
readfile("documents/${f['lien']}/$nom");
?>
